tree = 
Arbre('A',
    Arbre('B',
        Arbre('C', 
            Arbre('D', Arbre('Z')), 
            Arbre('E', 
                Arbre('X'), Arbre('Y'), Arbre('P'))),
        Arbre('F', Arbre('G'), Arbre('H'))),
    Arbre('I',
        Arbre('J', Arbre('K'), Arbre('L')),
        Arbre('M', Arbre('N'), Arbre('O'))))